.. -*- rst-mode -*-

Finding a Filename Extension for Literate Sources
*************************************************

Finding an easy to remember, unused file name extension is not easy.

.py.txt
  a double extension (similar to .tar.gz, say) seems most appropriate (at
  least on UNIX). The same scheme can be used for c.txt, p.txt and the like.
  However, it fails on FAT16 file systems.

.pytxt
  is recognised as extension by os.path.splitext but also fails on FAT16

.pyt
  (PYthon Text) is used by the Python test interpreter
  `pytest <http//:www.zetadev.com/software/pytest/>`__

.pyl
  was once mentioned as extension for "literate Python" files in an email
  exchange but subsequently used for Python libraries.

.lpy
  seems to be free (as by a Google search, "lpy" is the name of a python
  code pretty printer but this should not pose a problem).

.tpy
  seems to be free as well.

All these extensions are Python specific. A new search for nice and unused
extensions would have to be repeated for every language supported by PyLit.

After considering the alternatives, the additional extension ``.txt`` was
chosen for the text source (for Python this becomes ``py.txt``).
